
QGIS Application - Bug report #15678

QGIS does not read georeferencing information from jpeg files

2016-10-07 07:51 AM - Christoph Paulik

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.16.3 Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 23601

Description

Georeferencing of JPEG files is supported in GDAL but QGIS ignores the information and asks for georeferencing information when

loading the file.

Tested with QGIS 2.12 and 2.16.

See the attached file for an example.

gdalinfo test.jpeg gives the following output:

Driver: JPEG/JPEG JFIF

Files: test.jpeg

       test.jpeg.aux.xml

Size is 1000, 1000

Coordinate System is:

PROJCS["Azimuthal_Equidistant",

    GEOGCS["WGS 84",

        DATUM["WGS_1984",

            SPHEROID["WGS 84",6378137,298.257223563,

                AUTHORITY["EPSG","7030"]],

            AUTHORITY["EPSG","6326"]],

        PRIMEM["Greenwich",0],

        UNIT["degree",0.0174532925199433],

        AUTHORITY["EPSG","4326"]],

    PROJECTION["Azimuthal_Equidistant"],

    PARAMETER["latitude_of_center",53],

    PARAMETER["longitude_of_center",24],

    PARAMETER["false_easting",5837287.81977],

    PARAMETER["false_northing",2121415.69617],

    UNIT["metre",1,

        AUTHORITY["EPSG","9001"]]]

Origin = (4000000.000000000000000,2300000.000000000000000)

Pixel Size = (100.000000000000000,-100.000000000000000)

Metadata:

  AREA_OR_POINT=Area

  band1_RED=M20151201_20160229_SMENSIG0-_S1AIWGRDH1VH-_---_C0401_EU010M_E040N022T1, thr_min:-2200.0,

thr_max:-1200.0

  band2_GREEN=M20150601_20150831_SMENSIG0-_S1AIWGRDH1VH-_---_C0401_EU010M_E040N022T1,

thr_min:-2200.0, thr_max:-1200.0

  band3_BLUE=r/g

  band_name=S-COMP001
  ID=TUW_C0501

  log-file=C05_1000_jobfile_C0501_log_20161003_160256.xml

  Parent_tile_path=D:\\__working_dir\\2016-05-23_sgrt_workflow

for_s1_composites\\output\\Sentinel-1_CSAR\\IWGRDH\\products\\datasets\\tcomposites\\C0401\\EQUI7_EU010M\\E040N022T1
  Processing_time=2016-10-03 16:03:00
Image Structure Metadata:
  COMPRESSION=JPEG
  INTERLEAVE=PIXEL
  SOURCE_COLOR_SPACE=YCbCr
Corner Coordinates:
Upper Left  ( 4000000.000, 2300000.000) (  3d 3'37.22"W, 51d27'11.64"N)
Lower Left  ( 4000000.000, 2200000.000) (  2d32'55.56"W, 50d37'38.82"N)
Upper Right ( 4100000.000, 2300000.000) (  1d42'43.93"W, 51d46'28.20"N)
Lower Right ( 4100000.000, 2200000.000) (  1d13'13.19"W, 50d56'30.61"N)
Center      ( 4050000.000, 2250000.000) (  2d 8' 5.88"W, 51d12' 5.57"N)
Band 1 Block=1000x1 Type=Byte, ColorInterp=Red
  NoData Value=-9999
  Overviews: 500x500, 250x250
  Image Structure Metadata:
    COMPRESSION=JPEG
Band 2 Block=1000x1 Type=Byte, ColorInterp=Green
  NoData Value=-9999
  Overviews: 500x500, 250x250
  Image Structure Metadata:
    COMPRESSION=JPEG
Band 3 Block=1000x1 Type=Byte, ColorInterp=Blue
  NoData Value=-9999
  Overviews: 500x500, 250x250
  Image Structure Metadata:
    COMPRESSION=JPEG


1

  Processing_time=2016-10-03 16:03:00

Image Structure Metadata:

  COMPRESSION=JPEG

  INTERLEAVE=PIXEL

  SOURCE_COLOR_SPACE=YCbCr

Corner Coordinates:

Upper Left  ( 4000000.000, 2300000.000) (  3d 3'37.22"W, 51d27'11.64"N)

Lower Left  ( 4000000.000, 2200000.000) (  2d32'55.56"W, 50d37'38.82"N)

Upper Right ( 4100000.000, 2300000.000) (  1d42'43.93"W, 51d46'28.20"N)

Lower Right ( 4100000.000, 2200000.000) (  1d13'13.19"W, 50d56'30.61"N)

Center      ( 4050000.000, 2250000.000) (  2d 8' 5.88"W, 51d12' 5.57"N)

Band 1 Block=1000x1 Type=Byte, ColorInterp=Red

  NoData Value=-9999

  Overviews: 500x500, 250x250

  Image Structure Metadata:

    COMPRESSION=JPEG

Band 2 Block=1000x1 Type=Byte, ColorInterp=Green

  NoData Value=-9999

  Overviews: 500x500, 250x250

  Image Structure Metadata:

    COMPRESSION=JPEG

Band 3 Block=1000x1 Type=Byte, ColorInterp=Blue

  NoData Value=-9999

  Overviews: 500x500, 250x250

  Image Structure Metadata:

    COMPRESSION=JPEG

```

History

#1 - 2017-05-01 01:02 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2017-09-22 09:55 AM - Jürgen Fischer

- Category set to Unknown

#3 - 2019-03-09 03:08 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
